pcl::CPPFSignature Struct Reference
Module common

A point structure for storing the Point Pair Feature (CPPF) values. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | f1
float | f2
float | f3
float | f4
float | f5
float | f6
float | f7
float | f8
float | f9
float | f10
float | alpha_m

## Friends

std::ostream & | operator<< (std::ostream &os, const CPPFSignature &p)

## Detailed Description

A point structure for storing the Point Pair Feature (CPPF) values.

Definition at line 1214 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const CPPFSignature & | p
| ) |  |

friend

## Member Data Documentation

## alpha_m

float pcl::CPPFSignature::alpha_m

Definition at line 1217 of file point_types.hpp.

## f1

float pcl::CPPFSignature::f1

Definition at line 1216 of file point_types.hpp.

## f10

float pcl::CPPFSignature::f10

Definition at line 1216 of file point_types.hpp.

## f2

float pcl::CPPFSignature::f2

Definition at line 1216 of file point_types.hpp.

## f3

float pcl::CPPFSignature::f3

Definition at line 1216 of file point_types.hpp.

## f4

float pcl::CPPFSignature::f4

Definition at line 1216 of file point_types.hpp.

## f5

float pcl::CPPFSignature::f5

Definition at line 1216 of file point_types.hpp.

## f6

float pcl::CPPFSignature::f6

Definition at line 1216 of file point_types.hpp.

## f7

float pcl::CPPFSignature::f7

Definition at line 1216 of file point_types.hpp.

## f8

float pcl::CPPFSignature::f8

Definition at line 1216 of file point_types.hpp.

## f9

float pcl::CPPFSignature::f9

Definition at line 1216 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp